// pages/mine/mine.js
const api = require('../../api/index')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    menu1:[
      {
        label:'关注微信公众号',
        type:'1'
      },
      {
        label:'帮助与反馈',
        type:'2'
      },
    ],
    menu2:[
      {
        type:1,
        label:'我的关注',
        icon:'myIconguanzhu',
        page:'/pages/myFollow/myFollow'
      },
      {
        type:2,
        label:'检索记录',
        icon:'myIconguanzhu',
        page:'/pages/searchRecords/searchRecords'
      },
      {
        type:3,
        label:'工单记录',
        icon:'myIconguanzhu',
        page:'/pages/myWork/myWork'
      },
      {
        type:4,
        label:'监控',
        icon:'myIconmonitor',
        page:'/pages/monitor/monitor'
      },
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },


  /**
   * 页面功能
   */
  //点击菜单
  clickMenu(e){
    var page = e.currentTarget.dataset.page
    wx.navigateTo({
      url: page,
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})